aboutsummaryrefslogtreecommitdiff
path: root/contrib/copy-backend-into-prebuilt.sh
diff options
context:
space:
mode:
authorFlorian Dold <florian@dold.me>2023-03-29 19:33:58 +0200
committerFlorian Dold <florian@dold.me>2023-03-29 19:33:58 +0200
commit804ef8acb4d24d61a69f8b8add868ad642c451ff (patch)
tree10fb1ef86ed319ef704128be02ebec3f40bef1be /contrib/copy-backend-into-prebuilt.sh
parentbfb4e8c982019140b6514ad38640d791f92405da (diff)
downloadwallet-core-804ef8acb4d24d61a69f8b8add868ad642c451ff.tar.xz
repo: move Makefile helper scripts to contrib
Diffstat (limited to 'contrib/copy-backend-into-prebuilt.sh')
-rwxr-xr-xcontrib/copy-backend-into-prebuilt.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/contrib/copy-backend-into-prebuilt.sh b/contrib/copy-backend-into-prebuilt.sh
new file mode 100755
index 000000000..b9fa2a68e
--- /dev/null
+++ b/contrib/copy-backend-into-prebuilt.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+
+[ ! -d prebuilt ] && echo 'directory "prebuilt" not found. first checkout the prebuilt branch into a prebuilt directory' && exit 1
+
+for file in depleted_tip.en.html offer_refund.en.html offer_tip.en.html request_payment.en.html show_order_details.en.html; do
+ cp packages/merchant-backend-ui/dist/pages/$file prebuilt/backend/
+done
+